package com.steering.pss.plnsaleord.steelMarkingPlan;

import CoreFS.SA06.CoreReturnObject;
import com.steering.comm.db.DBCommon;


/**
 * 温度各工序上下偏差
 * @author Administrator
 */
public class FrmBaseDeviation extends DBCommon {

    /**
     * 查询
     * @return
     */
    public CoreReturnObject query() {
        return this.getDataBySqlID("FrmBaseDeviation.query");
    }

    /**
     * 新增
     * @return
     */
    public CoreReturnObject add(String plineCode, String plineName,
            String planRoute, String proPoint, String txtdeviNo1,
            String txtdeviUn1, String txtdeviNo2, String txtdeviUn2,
            String username) {
        Object[] params = new Object[] { plineCode,plineName, planRoute, proPoint,
                txtdeviNo1, txtdeviUn1, txtdeviNo2,txtdeviUn2, username };
        return this.setDataBySqlID("FrmBaseDeviation.add", params);
    }

    /**
     * 修改
     * @return
     */
    public CoreReturnObject update(String plineCode, String planRoute,
            String proPoint, String txtdeviNo1, String txtdeviUn1,
            String txtdeviNo2, String txtdeviUn2, String username) {
        Object[] params = new Object[] { txtdeviNo1, txtdeviUn1,txtdeviNo2, txtdeviUn2,
                username, plineCode, planRoute, proPoint };
        return this.setDataBySqlID("FrmBaseDeviation.update", params);
    }

    /**
     * 删除
     * @return
     */
    public CoreReturnObject delete(String plineCode, String planRoute,
            String comProPoint) {
        Object[] params = new Object[] { plineCode, planRoute, comProPoint };
        return this.setDataBySqlID("FrmBaseDeviation.delete", params);
    }

    /**
     * 验证产线
     * @param plineCode
     * @return
     */
    public CoreReturnObject checkPline(String plineCode, String planRoute,
            String comProPoint) {
        Object[] params = new Object[] { plineCode, planRoute, comProPoint };
        return this.getDataBySqlID("FrmBaseDeviation.checkPline", params);
    }
}
